import 'package:get/get.dart';

import '../../../common/LogHelper.dart';
import '../../../data/model/NodeMode.dart';
import '../../../network/api_service.dart';

class NodeController extends GetxController {
  //TODO: Implement NodeController

  final count = 0.obs;
  var isLoading = false.obs;
  var nodeModes = <nodeMode>[].obs;
  var selectedIndex = (-1).obs;
  var errorMsg = ''.obs;

  Future<void> fetchNodes() async {
    try {
      isLoading.value = true;
      nodeModes.clear();
      nodeModes.value = await ApiService().getNode("/api/client/v4/nodes?vless=1");
      LogHelper().d(nodeModes.toList());
    } catch (e) {
      errorMsg.value = e.toString();
    } finally {
      isLoading.value = false;
    }
  }


  @override
  void onInit() {
    super.onInit();
    fetchNodes();
  }

  @override
  void onReady() {
    super.onReady();
  }

  @override
  void onClose() {
    super.onClose();
  }

  void increment() => count.value++;
}
